Error with connection

jooseppi

Diabloii.Net Member
Error with connection

Hello. I have installed d2 and lod and downloaded patch 1.13d. However when i try to connect on battle.net(european) it says unable to identify version. Battle.net is unable to properly identify your application version. What did i do wrong and how i fix this?

Waiting for help =)
 

kestegs

D3 Monk Moderator
Re: Error with connection

I had this problem at one point as well. I think that you can just remove the patch.mpq file from your D2 folder. It is best just to let Battle.net automatically install the new patch when you connect to it. If deleting the file doesn't work just do a reinstall and let Bnet patch to the current version for you.
 

IncubatorJones

Diabloii.Net Member
Re: Error with connection

My hard drive was once totally full and that message came up :D Deleted something useless and it started working again
 

TheGreenLing

Diabloii.Net Member
I know this is a post on a 10+ year old thread, but I had this same problem but was able to figure out how to solve it and thought I would share it so that other people can play on Battle.net with their friends (or solo).
I made a quick 2 minute youtube video to show how it is done.
 
Top